import request from '/@/utils/request';

/**
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 */
export function useLoginApi() {
    return {
        // v1
        signIn: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + '/account/auth/login',
                method: 'post',
                data: params
            });
        },
        // v1
        signOut: () => {
            return request({
                url: import.meta.env.VITE_API_URL + '/account/auth/logout',
                method: 'get'
            });
        },
        // 更改密码
        changeCode: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + '/account/pwd/forget',
                method: 'post',
                data: params
            });
        },
    };
}
